Skip to content

List Skills

GET
/api/data/skills

List all skills, optionally filtered by agent or search query.

agent_id
Any of:
string

Filter by target agent

query
Any of:
string

Search query

Successful Response

SkillListResponse

Response for skill listing.

object
total
required
Total

Total skills

integer
skills
required
Skills

Skill list

Array<object>
SkillItem

A single skill in API responses.

object
name
required
Name

Skill name

string
description
required
Description

Skill description

string
agent
Any of:
string
tags
Tags

Skill tags

Array<string>
source
required
Source

Where the skill was loaded from

string
tokenEstimate
required
Tokenestimate

Rough token count

integer
filePath
required
Filepath

Source file path

string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object